//
//  SelectDrugsTableViewCell.m
//  DrugAlliance
//
//  Created by 李翩翩 on 2019/9/19.
//  Copyright © 2019 China. All rights reserved.
//

#import "SelectDrugsTableViewCell.h"

#import "Constant.h"
#import "SelectDrugsModel.h"
@interface SelectDrugsTableViewCell()

@end
@implementation SelectDrugsTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    self.countLabel.layer.borderColor = [UIColor clearColor].CGColor;
}
// 减
- (IBAction)theButtonWithCut:(UIButton *)sender
{
    self.drugsModel.num--;
       if (self.drugsModel.num == 0)
       {
           self.cutButton.enabled = NO;
           [self.cutButton setTitleColor:[UIColor lightGrayColor] forState:UIControlStateDisabled];
       }
       [self.cutButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
       self.addButton.enabled = YES;
       [self.addButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
       [self.delegate drugsCellDidClickAddButtonAndCutButton:self addOrcut:0];
    
}
// 加
- (IBAction)theButtonWithAdd:(id)sender
{
    self.drugsModel.num++;
       if (self.drugsModel.num == _drugsModel.maxCount)
       {
           self.addButton.enabled = NO;
           [self.addButton setTitleColor:[UIColor lightGrayColor] forState:UIControlStateDisabled];
       }
       self.cutButton.enabled = YES;
       [self.cutButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
       [self.delegate drugsCellDidClickAddButtonAndCutButton:self addOrcut:1];
}

- (void)setDrugsModel:(SelectDrugsModel *)drugsModel {
  _drugsModel = drugsModel;
    if (self.drugsModel.num == _drugsModel.maxCount)
    {
        self.addButton.enabled = NO;
        [self.addButton setTitleColor:[UIColor lightGrayColor] forState:UIControlStateDisabled];
        self.cutButton.enabled = YES;
        [self.cutButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    } else {
        self.addButton.enabled = YES;
        [self.addButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        self.cutButton.enabled = YES;
        [self.cutButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    }
    if (self.drugsModel.num == 0) {
        self.cutButton.enabled = NO;
        [self.cutButton setTitleColor:[UIColor lightGrayColor] forState:UIControlStateDisabled];
    }
    self.drugsproduct.text = drugsModel.unit;
    self.drugsTitle.text = drugsModel.name;
    self.drugsSpec.text = drugsModel.spec;
    self.countLabel.text = [NSString stringWithFormat:@"%ld",self.drugsModel.num];
    // 根据count决定减号按钮是否能够被点击（如果不写这一行代码，会出现cell复用)
    self.cutButton.enabled = (drugsModel.num > 0);
    
}
- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
}

@end
