//
//  ViewController.m
//  Tabel
//
//  Created by 李翩翩 on 2019/9/27.
//  Copyright © 2019 China. All rights reserved.
//

#import "ViewController.h"
#import "SelectDrugsViewController.h"
#import "Constant.h"

@interface ViewController ()
@property (strong, nonatomic) UIButton *button;
@property (strong, nonatomic) UILabel *label;
@property (strong, nonatomic) UITextView *textView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    self.button = [UIButton buttonWithType:UIButtonTypeCustom];
    self.button.frame = CGRectMake(0, 100, SCREEN_WIDTH, 44);
    [self.button setTitle:@"点击" forState:UIControlStateNormal];
    [self.button setBackgroundColor:[Constant colorWithHexString:@"#3997fd"]];
    [self.button addTarget:self action:@selector(theButtonWithClick:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.button];
    self.label = [[UILabel alloc]initWithFrame:CGRectMake(20, CGRectGetMaxY(self.button.frame), SCREEN_WIDTH - 40, 30)];
    self.label.text = @"选择的数据：";
    self.label.font = [Constant fit_configure:14.0];
    [self.view addSubview:self.label];
    self.textView = [[UITextView alloc]initWithFrame:CGRectMake(20, CGRectGetMaxY(self.label.frame), SCREEN_WIDTH - 40, 200)];
    self.textView.backgroundColor = [UIColor groupTableViewBackgroundColor];
    [self.view addSubview:self.textView];
   
    // Do any additional setup after loading the view.
}

- (void)theButtonWithClick:(UIButton *)sender
{
   SelectDrugsViewController *selectDrugsVC = [[ SelectDrugsViewController alloc]init];
    [selectDrugsVC returnDrugsInfo:^(NSMutableArray * _Nonnull drugsArray,NSString *nameString) {
        NSLog(@"选择的数组 ==== %@",drugsArray);
        self.textView.text = nameString;
    }];
    [self.navigationController pushViewController:selectDrugsVC animated:YES];
    
}

@end
