//
//  SelectDrugsTableViewCell.h
//  DrugAlliance
//
//  Created by 李翩翩 on 2019/9/19.
//  Copyright © 2019 China. All rights reserved.
//

#import <UIKit/UIKit.h>
@class SelectDrugsModel,SelectDrugsTableViewCell;
NS_ASSUME_NONNULL_BEGIN
@protocol SelectDrugsTableViewCellDelegate <NSObject>

- (void)drugsCellDidClickAddButtonAndCutButton:(SelectDrugsTableViewCell * )drugsCell addOrcut:(int)num;

@end

@interface SelectDrugsTableViewCell : UITableViewCell
@property (weak, nonatomic) IBOutlet UILabel *drugsTitle;
@property (weak, nonatomic) IBOutlet UILabel *drugsproduct;
@property (weak, nonatomic) IBOutlet UILabel *drugsSpec;
@property (weak, nonatomic) IBOutlet UIButton *cutButton;
@property (weak, nonatomic) IBOutlet UILabel *countLabel;
@property (weak, nonatomic) IBOutlet UIButton *addButton;

@property (nonatomic,strong) SelectDrugsModel * drugsModel;

@property (nonatomic,strong) NSMutableArray   *selectArray;

@property (nonatomic,strong) NSIndexPath     *cellIndexPath;

@property (nonatomic,weak)  id<SelectDrugsTableViewCellDelegate> delegate;//代理
@end

NS_ASSUME_NONNULL_END
